#ifndef __RESULT_H__
#define __RESULT_H__

#include <string>
#include "output.h"
#include "input.h"

enum game_status : int;

struct game_result final {
        game_status status;
        std::string msg;

        void run(input *in);
        void print(output *out);
};

#endif
